<?php ob_start();
	session_start();
	include_once("class/class.MySQL.php");
include_once("class/userdefinedfunctions.php");
$db	=new MySQL();
$userfunction	=new userdefinefunctions();
	?>
	
<!DOCTYPE html>
<html>
    <head>
 <?php include("header-js.php");?>	
		
<!-----hrm-------------->		
<!-- Responsive -->
<link rel="stylesheet" href="css/responsive.css" />


<link rel="stylesheet" href="css/style.css" />
<link rel="stylesheet" href="css/styles.css" />
<!-- Responsive -->
<script language="javascript" src="js/css3-mediaqueries.js" type="text/javascript"></script>

<script src="js/individualtimelist.js"></script>

<!-----hrm-------------->

    </head>
	<script type="text/javascript">         
   
		
	$(document).ready( function() { 
	
            var cur_year=new Date().getFullYear();
            var obj=document.getElementById("year_attendance");         
            for (var i = 2013; i <= 2030; i++)     {                
                opt = document.createElement("option");
                opt.value = i;
                opt.text=i;
                obj.appendChild(opt);
            }
            document.getElementById("year_attendance").value = cur_year;
			 var month1='';
		 	 var cur_mon=new Date().getMonth() + 1;
            var obj=document.getElementById("month_attendance");         
            for (var i = 1; i <= 12; i++)     {                
                opt = document.createElement("option");
				if(i<10) i='0'+i;	
				//-------------------------------------//
				if(i==1)month1='January';if(i==2)month1='February';;if(i==3)month1='March';if(i==4)month1='April';if(i==5)month1='May';
if(i==6)month1='Jun';if(i==7)month1='July';;if(i==8)month1='August';if(i==9)month1='September';if(i==10)month1='October';
if(i==11)month1='November';if(i==12)month1='December';
				//---------------------------------------//
                opt.value = i;
                opt.text=month1;
                obj.appendChild(opt);
            }
        document.getElementById("month_attendance").value = cur_mon;
        });
		
function printDiv(divName) {
	
     var printContents = document.getElementById(divName).innerHTML;
	
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents;

     window.print();
	setTimeout(function(){document.body.innerHTML = originalContents;},3000);
     
}
		
    </script>
	<?php
/*	ob_start();
	session_start();*/
	function firstSunday($DATE)
    {
	// $DATE='2014-04-01';
         $date = date('Y-m',strtotime($DATE));
         $day = trim(strtotime("%e",$DATE));

        for($day; $day <= '7'; $day++){
             $dd = strftime("%A",strtotime($date.'-'.$day));
            if($dd == 'Sunday'){
                return $day;
            }
        }
    }
?>


    <body class="skin-blue"> 
	<?php include("header.php");?>


                    <!-- Small boxes (Stat box) -->
                    

                    <!-- Main row -->
                    <div class="row">
                    
					<div id="wrapper" style="width:1048px;">



<div class="content">

<div class="report-tab">
<div class="report-cell-02">
	<!--<label><input type="button" value="Timesheet" data-page="Timesheet_show"  class="btn-tab-01 Timesheet_show" /></label>
	<label><input type="button" value="Muster Roll" data-page="Muster_Roll_show"  class="btn-tab-01 Muster_Roll_show" /></label>-->
    

<ul class="payroll-menu" style="margin-bottom:0px !important; ">
<li data-page="Timesheet_show" class="Timesheet_show" style="padding-bottom: 30px !important;"><translate>Timesheet</translate></li>
</ul>
<?php
if($_SESSION['usertype'] == 'Superadmin' || $_SESSION['branchadmin'] == 'Y')
{	
?>
<!--<ul class="payroll-menu" style="margin-bottom:0px !important; ">
<li data-page="MusterRollshow" class="Muster_Roll_show" style="padding-bottom: 30px !important;"><translate>Muster Roll</translate></li>
</ul>-->
<ul class="payroll-menu" style="margin-bottom:0px !important; ">
<li data-page="Attendance_show" class="Attendance_show"style="padding-bottom: 30px !important;width: auto !important;" ><translate>Attendance Report</translate></li>
</ul>

<ul class="payroll-menu" style="margin-bottom:0px !important; ">
<li data-page="Attendance_upload" class="Attendance_upload" style="padding-bottom: 30px !important;"><translate>Attendance Upload</translate></li>
</ul>
<!--<ul class="payroll-menu">
<li data-page="timesheet_edit" class="timesheet_edit" >Edit Timesheet</li>
</ul>-->
<?php } ?>

<!--<ul class="payroll-menu">
<li data-page="timesheet_approval" class="timesheet_approval" >Timesheet Approval</li>
</ul>-->
<div class="clear-float"></div>
</div>
<div class="Muster_roll_Grid"> 

<div class="report-left">

<h2><translate>Attendance Report</translate></h2>
</div>
<div class="clear-float"></div>

<div class="report-cell-03">
<label><!-- <input type="text" placeholder="From date" />  -->
<script>selectmonthattfn();</script>
<select name="month_attendance"  id="month_attendance"  class="selectclass"  style="width:100px;">
</select>
 
</label>
<label><!--<input type="text" placeholder="To date" /> -->
<select name="year_muster"  id="year_attendance"  class="selectclass"  style="width:100px;"></select>
</label>

<label>
<select name="branch_muster" id="branch_attendance"  style="width:200px;">
    <option value="">Branch</option>
    </select>
</label>




<label><input type="button" value="Search"  onclick="employeeattendanceroll(1)" /></label>
<div class="clear-float"></div>
</div><!-- /report-cell-03 -->
<table width="100%" border="0" cellspacing="4" cellpadding="4">
  <tr>
    <td width="2%" style="color:#009900;font-weight:bold"><translate>P</translate></td>
    <td width="14%" style="color:#009900;font-weight:bold"><translate>Present</translate></td>
    <td width="2%" style="color:#FF0000;font-weight:bold"><translate>H</translate></td>
    <td width="82%" style="color:#FF0000;font-weight:bold"><translate>Holiday</translate></td>
  </tr>
  <tr>
    <td style="color:#0a8cc1;font-weight:bold"><translate>D</translate></td>
    <td style="color:#0a8cc1;font-weight:bold"><translate>Delay</translate></td>
    <td style="color:#B44781;font-weight:bold"><translate>R</translate></td>
    <td style="color:#B44781;font-weight:bold"><translate>Half Day</translate></td>
  </tr>
  <tr>
    <td style="font-weight:bold"><translate>A</translate></td>
    <td style="font-weight:bold"><translate>Absent</translate></td>
    <td style="color:#FF6666;font-weight:bold"><translate>L</translate></td>
    <td style="color:#FF6666;font-weight:bold"><translate>Leave</translate></td>
  </tr>
</table>
<form method="post" enctype="multipart/form-data" id="muster_roll_form" name="muster_roll_form" >
<!-- Recruitment ////////////////////////////////////////////////////////////////////// -->		
<?php
				$view='<div class="container">
					<div class="content-wrap">
						<div class="cart-back-title">';
							if(isset($_GET['attendance_month']) && $_GET['attendance_month']!='null')
							{
								$month=$_GET['attendance_month'];
								if($month < 10){ $month = 0 .$month; }
							}
							else
							{
								$month = date('m');
							}
							if(isset($_GET['attendance_year']) && $_GET['attendance_year']!='null')
							{
								$year=$_GET['attendance_year'];
							}
							else
							{
								$year = date('Y');
							}
							$cond='where 1 and user_type!="Superadmin"';
	   						if(isset($_GET['brah_id']) && $_GET['brah_id']!='null')
							{
								$cond.=' and branchid='.$_GET['brah_id'].' ';
								$branchid=$_GET['brah_id'];
	  
								$branchqry =$db->fetchQuery("select branch_name from branches where branch_id ='$branch_id'");
								$branchname=$branchqry[0]['branch_name'];
							}
							else
							{
							   $branchid = '123'; $branchname='';
							}
							$last_day = cal_days_in_month(CAL_GREGORIAN,$month,$year);
	   						$lastDay="$year-$month-$last_day";
							$firstDay="$year-$month-01";

    						/////// GET ALL WORKED DAYS ///
							$timingDetails 		= $db->fetchQuery("SELECT A.*,B.brch_half FROM report_time A LEFT JOIN branches B ON A.brch_id=B.branch_id WHERE A.brch_id = '$branchid' LIMIT 1");
							$fullDayHrs 		= $timingDetails[0]['full_day'].":00";     //// =======  FDH
							$halfDayHrs 		= $timingDetails[0]['half_day'].":00";    ///// =======  HDH
														
							$reportTimeTimeMng 	= $timingDetails[0]['report_time'];  /////=======  RTM
							$lateTimeTimeMng  	= $timingDetails[0]['late_time'];    /////=======  LTM
							
							$reportTimeTimeEven = $timingDetails[0]['aftnoon_report_time']; //===  RTE
							$lateTimeTimeEven  	= $timingDetails[0]['aftrnoon_late_time'];  //===  LTE
							
							$numDelayForHalfDay = $timingDetails[0]['num_delay'];  ///////    ===  NDH   /// For half day deduction.
							$saturdayHalfDay    = $timingDetails[0]['brch_half']; ////	=========  BHD
   
							$view .='<div class="attendance-cell-1">
							</div><!-- /attendance-cell-1 -->
						</div>
					</div><!-- /content-wrap --> 
					<div class="display-cell-1">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
    							<td>
									<table width="100%" border="0" cellspacing="0" cellpadding="0">
      									<tr>
									        <td width="12%" align="left" valign="bottom" class="display-border-1"><strong>Name</strong></td>';
											for($k=1;$k<=$last_day;$k++)
											{
            									if($k < 10)
												{
													$k= '0'.$k;
												}
               									$view.='<td align="center" valign="middle" style="font-size:12px;border:solid 1px #999;"><strong>'.$k.'</strong></td>';
               								} 
              
               								$view.='<td width="5%" align="left" valign="bottom" class="display-border-1"><strong>Total Present</strong></td>
											<td width="5%" align="left" valign="bottom" class="display-border-1"><strong>Total Leave</strong></td>
				  						</tr>';
									    $i=1;
										if($branchid == '')
		  								{
											$sql = mysql_query("select * from employee join designation on employee.e_post = designation.desig_id   LEFT JOIN branches  ON employee.branchid = branches.branch_id where employee.e_id NOT IN (1) and emp_status NOT IN(2,3) order by e_fname ASC");
		 								}
		  								else
		  								{
											$sql = mysql_query("select * from employee join designation on employee.e_post = designation.desig_id   LEFT JOIN branches  ON employee.branchid = branches.branch_id where employee.branchid='$branchid' and employee.e_id NOT IN (1) and emp_status NOT IN(2,3) order by e_fname ASC");
		  								}
										
										// Fetch holiday details
										$holidays = $db->fetchQuery("SELECT * FROM payroll_holiday_calendar WHERE month(date) = '$month' and YEAR(date)='$year' and branchid='$branchid' and is_blocked='0'");
										$holiday=array();
										foreach($holidays as $holidays){
											$holiday[]=$holidays['date'];
										}
										
										//echo "<pre>";
										
										$workingDays['totalWorkingDays'] =  $db->getWorkingDays($firstDay,$lastDay,$holiday);
		 		   
				   						
										while($rw = mysql_fetch_array($sql))
										{
											$workingDays = array();			
											//Fetch month details
											$eid=$rw[e_id];
											$worked_days = $db->fetchQuery("SELECT SEC_TO_TIME( SUM( TIME_TO_SEC( total_worked_hours ) ) ) AS total_time,e_date,e_id  ,min(e_in),max(e_out),e_in FROM `time` WHERE month(e_date)='$month' and year(e_date) and e_id='$eid' GROUP BY e_date,e_id ORDER BY id ASC");

											$workingDays['actualWorkingDays'] = count($worked_days);  // Before checking delay and half day calculations.
											$workingDays['delayDays']=array();
											
											$requestedLeaves = $db->fetchQuery("SELECT * FROM payroll_user_leave_requests WHERE imd_status='1' and employee_id='$eid' and month(day_from)='$month' and YEAR(day_from)='$year'");
											
											$allLeavesFullArray = array();
											$allLeavesHalfArray = array();
											foreach($requestedLeaves as $requestedLeave){
												if($requestedLeave['half_full_day'] == 1){
													$allLeavesHalfArray[] = $requestedLeave['day_from'];
												}else{
													$allLeavesFullArray[] = $requestedLeave['day_from'];
												}
											}
										
										
											$workingDays['leaveWorking']['fullday'] = array(); 
											$workingDays['leaveWorking']['halfdayApproved'] = array();
											// GET DELAY DAYS.
										
										
											foreach($worked_days as $workedday){
											
												$workingDays['presentDays'][] = $workedday['e_date']; 
												 // CASE 1. //// In-time > delay Time and Worktime >= fullday time ---- then it should be Delay........
												if(date("H:i:s",strtotime($workedday['e_in'])) > $lateTimeTimeMng && $workedday['total_time'] >= date("H:i:s",strtotime($fullDayHrs)) ){
													$workingDays['delayDays'][] =  $workedday['e_date'];
													
												}else
												
												// CASE 2. //// ITM > LTM && TWT < FDH && TWT >= HDH  &&  (ITM < RTE || ITM > LTE) SHOULD BE delay
												if(date("H:i:s",strtotime($workedday['e_in'])) > $lateTimeTimeMng && ( $workedday['total_time'] < date("H:i:s",strtotime($fullDayHrs)) ) &&   
																														$workedday['total_time'] >= date("H:i:s",strtotime($halfDayHrs)) &&
																	 ( date("H:i:s",strtotime($workedday['e_in'])) < $reportTimeTimeEven  || date("H:i:s",strtotime($workedday['e_in'])) > $lateTimeTimeEven )){
											
													 $workingDays['delayDays'][] =  $workedday['e_date']; 
													 
												}else
												
												// CASE 3.  ////  BHD == 1 && DAY(e_date) == SATURDAY && ITM > LTM   //  should be delay
						if($saturdayHalfDay == 1 && date("l",strtotime($workedday['e_date'])) == "Saturday" && date("H:i:s",strtotime($workedday['e_in'])) > $lateTimeTimeMng){
													$workingDays['delayDays'][] =  $workedday['e_date'];
												}
												
										if($workedday['total_time'] >= date("H:i:s",strtotime($halfDayHrs)) && $workedday['total_time'] < date("H:i:s",strtotime($fullDayHrs)) && 
																	(($saturdayHalfDay == 1 && date("l",strtotime($workedday['e_date'])) != "Saturday") || $saturdayHalfDay==0)){
													$workingDays['halfDay'][] =  $workedday['e_date'];
												}
												
												$searchHolidayWork = searchHolidayWork($workedday['e_date'],$holiday);
												if($searchHolidayWork != false){
													$workingDays['additionalDays'][] = $workedday['e_date'];
												}
												
												
												$leaveWorking	=	searchForLeavePresent($workedday['e_date'],$requestedLeaves); 
												if($leaveWorking!=''){
													if($leaveWorking == '1'){
													
													if($workedday['total_time'] >= date("H:i:s",strtotime($halfDayHrs)) && $workedday['total_time'] < date("H:i:s",strtotime($fullDayHrs)) && 
																					(($saturdayHalfDay == 1 && date("l",strtotime($workedday['e_date'])) != "Saturday") || $saturdayHalfDay==0)){
														$workingDays['leaveWorking']['halfdayApproved'][] = $workedday['e_date'];
													}
														
													}else{
														$workingDays['leaveWorking']['fullday'][] = $workedday['e_date'];
													}
												}
											
											}
											
											
											$absendLeaves = array_diff($allLeavesFullArray,$workingDays['leaveWorking']['fullday']);
											$absendHalfDayLeaves = array_diff($allLeavesHalfArray,$workingDays['leaveWorking']['halfdayApproved']);
											$workingDays['approvedLeaves'] = $absendLeaves;
											$workingDays['approvedLeavesHalfDay'] = $absendHalfDayLeaves;
										
											$calc =  count($worked_days)-(intval(count($workingDays['delayDays'])/3) * 0.5) - 
										
																	((count($workingDays['halfDay'])-count($allLeavesHalfArray))*0.5) +
																	
																	( count($allLeavesFullArray)-count($workingDays['leaveWorking']['fullday']))  -
																	
																	  count($workingDays['additionalDays']) ;
										
											$workingDays['salaryPayableDays'] = $calc;
											
											$view.='<tr>
 												<td align="left" valign="top" class="display-border-1">'.$rw['e_fname'].'  '.$rw['e_lname'].'</td>';
												$present_days=0;
												$total_leave=0;
												for($k=1;$k<=$last_day;$k++)
												{
													if($k < 10){ $j = 0 .$k; }
													else{ $j = $k; }
													$cell_content = '';
													/*if(in_array("$year-$month-$j",$workingDays['delayDays']))
													{
														$day_attendance_array=search_individual_day_attendance($worked_days,'e_date',''.$year.'-'.$month.'-'.$j.'');
														$work_hours_comparison='';
														if(strtotime($day_attendance_array[0]['total_time']) < strtotime($timingDetails[0]['half_day']))
														{
															$work_hours_comparison = '(A)';
														}
														$cell_content.= '<span style="color:#0a8cc1;">D'.$work_hours_comparison.'</span>';
														if(in_array("$year-$month-$j",$workingDays['halfDay']))
														{
															$cell_content.= '/<span style="color:#B44781;">R'.$work_hours_comparison.'</span>';
														}
														elseif(in_array("$year-$month-$j",$workingDays['approvedLeavesHalfDay']))
														{
															$cell_content.= '/<span style="color:#FF6666;">RL'.$work_hours_comparison.'</span>';
														}
													}
													elseif(in_array("$year-$month-$j",$workingDays['halfDay']))
													{
														if(in_array("$year-$month-$j",$workingDays['presentDays']))
														{
															$cell_content.= '<span style="color:#009900;">P</span>';
														}
														else
														{
															$cell_content.= '<span>A</span>';
														}
														$cell_content.= '<span style="color:#B44781;">/R</span>';
													}
													elseif(in_array("$year-$month-$j",$workingDays['approvedLeaves']))
													{
														$cell_content.= '<span style="color:#FF6666;">L</span>';
													}
													elseif(in_array("$year-$month-$j",$workingDays['approvedLeavesHalfDay']))
													{
														$cell_content.= '<span style="color:#FF6666;">RL</span>';
														if(in_array("$year-$month-$j",$workingDays['presentDays']))
														{
															$cell_content.= '<span style="color:#009900;">/P</span>';
														}
														else
														{
															$cell_content.= '<span>/A</span>';
														}
													}
													elseif(in_array("$year-$month-$j",$holiday))
													{
														$cell_content.= '<span style="color:#FF0000;">H</span>';
													}
													else
													{
														if(in_array("$year-$month-$j",$workingDays['presentDays']))
														{
															$day_attendance_array=search_individual_day_attendance($worked_days,'e_date',''.$year.'-'.$month.'-'.$j.'');
															$work_hours_comparison='';
															if(strtotime($day_attendance_array[0]['total_time']) < strtotime($timingDetails[0]['full_day']))
															{
																$work_hours_comparison = '(A)';
															}
															$cell_content.= '<span style="color:#009900;">P'.$work_hours_comparison.'</span>';
														}
														else
														{
															$cell_content.= '<span style="color:#009900;">A</span>';
														}
													}*/
													
													//check he is present or absent in each day
													$day_attendance_array=search_individual_day_attendance($worked_days,'e_date',''.$year.'-'.$month.'-'.$j.'');
													if(!empty($day_attendance_array))
													{
														//he is present
														//check for full day working hours
														if(strtotime($day_attendance_array[0]['total_time']) >= strtotime($fullDayHrs))
														{ 
															//he worked full day
															if(in_array("$year-$month-$j",$workingDays['delayDays']))
															{
																//he is delayed
																$cell_content.= '<span style="color:#0a8cc1;">D</span>';
															}
															else
															{
																// he is punctual
																$cell_content.= '<span style="color:#009900;">P</span>';
															}
															$present_days = $present_days+1;
														}
														elseif(strtotime($day_attendance_array[0]['total_time']) >= strtotime($halfDayHrs))
														{
															//he worked half day
															if(in_array("$year-$month-$j",$workingDays['delayDays']))
															{
																//he is delayed in half day
																$cell_content.= '<span style="color:#0a8cc1;">D</span>';
															}
															else
															{
																//he is punctual in half day
																$cell_content.= '<span style="color:#009900;">P</span>';
															}
															//check for half day hours to full day
															if($saturdayHalfDay==1 && date('w', strtotime("$year-$month-$j")) == 6)
															{
																$present_days = $present_days+1;
															}
															else
															{
																//check status for other half day
																if(in_array("$year-$month-$j",$holiday))
																{
																	//check for holiday
																	$cell_content.= '<span style="color:#FF0000;">/H</span>';
																}
																elseif(in_array("$year-$month-$j",$workingDays['approvedLeavesHalfDay']))
																{
																	//check for half day approved leave
																	$cell_content.= '<span style="color:#FF6666;">/L</span>';
																	$total_leave=$total_leave+0.5;
																}
																else
																{
																	//he is absent in half section
																	$cell_content.= '<span>/R</span>';
																}
																$present_days = $present_days+0.5;
															}
														}
														else
														{
															//he is present but worked less than half day hours
															$cell_content.= '<span>P(A)</span>';
														}
													}
													else
													{
														//he is absent
														if(in_array("$year-$month-$j",$holiday))
														{
															//check for holiday
															$cell_content.= '<span style="color:#FF0000;">H</span>';
														}
														elseif(in_array("$year-$month-$j",$workingDays['approvedLeaves']))
														{
															//check for approved leave
															$cell_content.= '<span style="color:#FF6666;">L</span>';
															$total_leave=$total_leave+1;
														}
														elseif(in_array("$year-$month-$j",$workingDays['approvedLeavesHalfDay']))
														{
															//check for approved leave
															if($saturdayHalfDay==1 && date('w', strtotime("$year-$month-$j")) == 6)
															{
																$cell_content.= '<span style="color:#FF6666;">L</span>';
																$total_leave=$total_leave+1;
															}
															else
															{
																$cell_content.= '<span style="color:#FF6666;">L</span>';
																$cell_content.= '<span>/A</span>';
																$total_leave=$total_leave+0.5;
															}
														}
														else
														{
															//he is absent
															$cell_content.= '<span>A</span>';
														}
													}
													$view.='<td width="" align="center" valign="middle" style="border:solid 1px #999; font-weight:bold; font-size:13px;" >'.$cell_content.'</td>';
												}
												//$present_days=count($workingDays['presentDays']);
												$view.='<td align="center" valign="middle" style="border-right:1px solid #999; font-weight:bold; font-size:11px;color:#009900" class="display-border-1">'.$present_days.'</td>';
												//$total_leave=count($workingDays['approvedLeaves'])+(count($workingDays['approvedLeavesHalfDay'])/2)-count($workingDays['leaveWorking']['fullday'])-count($workingDays['leaveWorking']['halfdayApproved'])/2;
												$view.='<td align="center" valign="middle" style="border-right:1px solid #999; font-weight:bold; font-size:11px;color:#009900" class="display-border-1">'.$total_leave.'</td>';
											$view.='</tr>';
									    } 
    								$view.='</table>
								</td>
							</tr>
						</table>
					</div><!-- /display-cell-1 -->
				</div>';


				$_SESSION['download_musteroll_view']=$view;
				echo $view;
?>
</form>
                    
                </div>



</div>



<!-- /report-tab -->

<div class="clear-float"></div>
</div><!-- /content -->

<div class="footer">
<strong>© add-HRM </strong><span class="currentversion"></span><br />
<span><translate>Developed by</translate> <a href="http://www.aadhocc.com" target="_blank"><translate>Aadhocc</translate></a></span></div><!-- /footer -->

</div>
					
					
                    </div><!-- /.row (main row) -->

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->

        <!-- add new calendar event modal -->


        <!-- jQuery 2.0.2 -->
              <?php 
	include("footer-js.php");
?>
	
		<!--------------scripts for employee list-------------->

<?php

function searchHolidayWork($date,$holiday){
	return array_search($date,$holiday);
}

function searchForLeavePresent($date, $array) {
   foreach ($array as $key => $val) {
       if ($val['day_from'] == $date) {
           return $val['half_full_day'];
       }
   }
   return null;
}

function search_individual_day_attendance($array, $key, $value)
{
	//$value='2014-09-01';
	$results = array();
//echo $value;
    if (is_array($array)) {
		if (isset($array[$key]) && $array[$key] == $value) {
            
			$results[] = $array;
        }

        foreach ($array as $subarray) {
			$results = array_merge($results, search_individual_day_attendance($subarray, $key, $value));
        }
    }

    return $results;
}
?>


<script src="js/common.js"></script>
<script src="js/employee.js"></script>
<script language="javascript" src="js/css3-mediaqueries.js" type="text/javascript"></script>
<script src="js/employee_sg.js"></script>
	<!--------------scripts for employee list-------------->
    </body>
</html>